# bx

[![pipeline status](https://gitlab.com/xgrg/bx/badges/master/pipeline.svg)](https://gitlab.com/xgrg/bx/commits/master)
[![coverage report](https://gitlab.com/xgrg/bx/badges/master/coverage.svg)](https://gitlab.com/xgrg/bx/commits/master)
[![downloads](https://img.shields.io/pypi/dm/bbrc-bx.svg)](https://pypi.org/project/bbrc-bx/)
[![python versions](https://img.shields.io/pypi/pyversions/bbrc-bx.svg)](https://pypi.org/project/bbrc-bx/)
[![pypi version](https://img.shields.io/pypi/v/bbrc-bx.svg)](https://pypi.org/project/bbrc-bx/)

BarcelonaBeta + XNAT = BX

## Example:

![example](https://gitlab.com/xgrg/tweetit/raw/master/resources/004-Collecting-FreeSurfer-data-from-XNAT.gif)

## Usage

```
bx <command> <subcommand> <resource_id> --config /path/to/.xnat.cfg --dest /tmp [--overwrite]
```

### Commands:

```
bx nifti <resource_id>
```

- Download a NIfTI from a given sequence from an experiment/entire project.


```
bx spm12 volumes <resource_id>
```

- Download a table with grey/white matter and CSF volumes estimated from SPM12 segmentations

```
bx spm12 files <resource_id>
```

- Download SPM12 segmentations from an experiment/entire project

```
bx spm12 report <resource_id>
```

- Download a quality report from an SPM12 segmentation for an experiment/entire project

```
bx spm12 tests <resource_id>
```

- Download a table with results from automatic validation tests from an SPM12 segmentation for an experiment/entire project

```
bx freesurfer6 aseg <resource_id>
```

- Download a table with FreeSurfer `aseg` results for an experiment/entire project

```
bx freesurfer6 aparc <resource_id>
```

- Download a table with FreeSurfer `aparc` results for an experiment/entire project

```
bx freesurfer6 hippoSfVolumes <resource_id>
```

- Download a table with FreeSurfer `hippoSfVolumes` results for an experiment/entire project

```
bx freesurfer6 files <resource_id>
```

- Download FreeSurfer6 segmentations from an experiment/entire project

```
bx mrdates <resource_id>
```

- Download a table with acquisition dates from an experiment/entire project


## Dependencies

Requires the `bbrc` branch of [`pyxnat`](https://gitlab.com/xgrg/pyxnat).


## Install

```
pip install bbrc-bx
```

## Development

Please contact us for details on how to contribute.

[![BarcelonaBeta](https://www.barcelonabeta.org/sites/default/files/logo-barcelona-beta_0.png)](https://www.barcelonabeta.org/)
